*COMDECK  HISTORY  *L498*    ************************************************ 
 CCL*79   MODIFY COPYRIGHT FOR 1979 
  
 CL0064   NOS - SYSTEM PROCEDURE CANNOT BE CALLED TWICE 
          CCL0064/TMPL/DML 78/11/08 BEGIN 
  
 CL0065   NOS - USE RECALL TO PREVENT I/O SEQ ERROR ON WRITE
          CCL0065/TMPL/DML 78/11/09 IOEOPR IOWTL BEGIN
  
 CLA121   NOS+NOS/BE - LONG PROCEDURE LINE GETS CONTROL STATEMENT ERROR 
          CCLA121/SSPR/DML 78/11/15 COMBRWE IORDL BEGIN 
  
 CLA120   NOS - PREVENT DUPLICATE LFN BY RETURNING ZZZZZC0
          REWRITE USAGE OF REPRIEVE IN CCLRPV AND ENDW PROCESSORS 
          ELIMINATE EXTRA STATEMENTS FROM NOS PROCEDURES
          USE EXISTING MESSAGE COMPONENT FOR CCL153 AND CCL160
          CCLA120/DML 79/01/22 ZFS ENDW CCLRPV BEGIN REVERT MSGEXP
                               CCLEVX 
  
 CL0081   RETURN PROCEDURE FILE IF ATTACHED BY MACRO
          REMOVE REFERENCES TO IFC VERB - UNUSED
          CCL0081/FCL/DML 79/03/01 CCL COMALL CCLEVX IOATT EXIT 
  
 CL0090   NOS - RETURN LIBRARY FILE OBTAINED BY CALL-BY-NAME
          EVEN WHEN AN ERROR CONDITION IS DETECTED BY CCL 
          DEPENDENT ON MODSETS CL0064 AND CL0081
          CCL0090/JLUG/DML 79/04/03 BEGIN EXITBR
  
 CL0091   REPRIEVE IF ABORT DURING BEGIN INITIALIZATION 
          DEPENDENT ON CL0090, CL0081, CLA120, CL0064 
          CCL0091/GDC/DML 79/04/20 CCLRPV IOATT MSGEXP MSGBRWE
  
 *L505*    ************************************************ 
 *L508*    ************************************************ 
 *L518*    ************************************************ 
 CL0103   SKIP SEQUENCE NUMBERS AT BEGINNING OF PROCEDURE LINES          CL0103 
          CCL0103/AARU/DML 79/06/28 COMBRWE BEGIN CCLSSN                 CL0103 
                                                                         CL0103 
 CL0104   NOS - PLACE $ BEFORE CCL GENERATED REVERT AND EXIT             CL0104 
          CCL0104/MAC/DML 79/07/19 BEGIN CCLSCS                          CL0104 
                                                                         CL0104 
 CL0107   LITERAL NOT TERMINATED ERROR WHEN SKIPPING                     CL0107 
          CCL0107/ECMR/DML 79/07/19 CCLASV                               CL0107 
                                                                         CL0107 
 CL0112   CCL DOES NOT ASSEMBLE IF IP.TAP0 IS 0                          CL0112 
          CCL0112/DML 79/09/05 COMFET                                    CL0112 
                                                                         CL0112 
 CL0118   NOS - UNABLE TO LOCATE PROC ON SYSTEM WHEN GLOBAL LIBRARY      CL0118 
          CCL0118/TMPL/DML 79/11/08 CCL                                  CL0118 
                                                                         CL0118 
 CCL*80   MODIFY COPYRIGHT FOR 1980                                      CCL*80 
                                                                         CCL*80 
 CL0135   DO NOT REPRIEVE ON ABORT MACRO IN BEGIN                        CL0135 
          CCL0135/TMPL/DML 80/01/28 IOATT                                CL0135 
                                                                         CL0135 
 CL0130   BAD PROC ON FILE GIVES ERROR WHEN GOOD PROC CALLED             CL0130 
          CCL0130/GENE/DML 80/02/08 BEGIN                                CL0130 
                                                                         CL0130 
 CLA147   NOS/NOSBE - CCL ADDS CHARACTER AFTER COLON                     CLA147 
          WHEN IN COLUMN N7 IN CCL PROCEDURE OR DATA FILE.               CLA147 
          CCLA147/SVL/JWS 80/02/20 CSTRCCL                               CLA147 
                                                                         CLA147 
 *L528*    ************************************************ 
 CLA151   DO NOT SPLIT CCL MESSAGE AT COLUMN 40 ON NOS
          CCLA151/DML/JWS/DML 80/03/31 CSTRCCL
  
 CL0144   NOS - COLON IN EVEN NUMBERED COLUMN IS LOST IN DATA FILE
          CCL0144/MICC/JWS/DML 80/04/15 CSTRCCL 
  
 CLA135   DATA FILE SYNTAX PROCESSING MODIFICATIONS 
          CCLA135/ARH/DML 80/04/24 BEGIN (BST)
  
 *LV530*   *************************************************************
  
 CL0152   NOS/NOSBE - LINE OF SEMI-COLONS NOT HANDLED CORRECTLY 
          CCL0152/RUG/JWS/DML 80/07/16 CSTRCCL
  
 CL0164   NOS - CCL SHOULD IGNORE BLANKS ASSEMBLING VERB
          CCL0164/AARU/JWS/DML 80/07/23 CCLASV
  
 *LV535*  **************************************************************
  
 CL0101   MODIFY CCL TO USE COMMON COMMON DECKS (CCD) 
          NOTE -  REQUIRES CHANGE TO BUILD JOB FOR CCL
          CCL0101/DML/JWS 80/09/17
  
 CL0102   MODIFY CCL TO USE COMCMAC MACROS FROM SYSTEXT 
          REQUIRES CHANGES TO CCL BUILD JOB.
          DECKS AFFECTED - CCLBRWE, CCLIFES, CCLDS, CCLPRS, CCLSCS, 
          CCLSJC, CCLXSS, IOCSAE, IOFIL, IOLIB. 
          CCL0102/AARU/JWS/DML 80/09/17 
  
 CL0140   NOS/NOSBE - CALL-BY-NAME FROM FILE - USE ANY PROC NAME
          I.E. - LFN A, CAN CONTAIN PROC B AS FIRST PROCEDURE AND 
          CALL STATEMENT *A.* WILL EXECUTE PROCEDURE B. 
          ALWAYS EXECUTE THE FIRST PROCEDURE ON CALL-BY-NAME. 
          CCL0140/NAL/JWS/DML 80/09/02 BEGIN
  
 CLA163   NOS - LFM ERROR WHEN TRYING TO EXECUTE PROC ON USER LIBRARY.
          FIX TO NOS DECK *FDL* IS NECESSARY FOR USE OF THIS CAPABILITY.
          THE CCL FIX CAN BE APPLIED BEFORE THE *FDL* CHANGE. 
          CCLA163/SVL/DML 80/09/19 IOLIB
  
 CL0170    NOS - BEGIN PROCESSING RETURNS AUTO ATTACHED PROCFIL.
          CCL0170/UVA/JWS/DML 80/10/06 EXITBR 
  
 *LV538*   ************************************************************** 
  
 CCL*81   MODIFY COPYRIGHT FOR 1981 
  
 CLA149   NOS - REPLACE SETID MACRO USE IN CCL WITH SETFS.
          NOTE - THIS REQUIRES NOS SYSTEM MODIFICATION. 
          RETURN CCL WORK FILES ON REVERT TO JOB LEVEL. 
          CCLA149/DML/JWS 80/10/16 CCL/BEGIN/REVERT/ZFS 
  
 *LV552*   *************************************************************
  
 F46021   NOS, NOSBE, SCOPE2 - FEATURE ALLOWS INTERACTIVE PROCESSING
          F46021/JWS 81/02/09 BEGIN/COMFET/COMALL/COMSET/CCL
                                   CSTRCCL/EXITBR/CCLRPV/CCLBRWE
                                   REVERT/CCLASV/CCLGNP/ENDW
                 NEW DECKS - CCLIDC/CCLNPV/CCLPVO/CCLWHT/CCLWID/CCLWPV
                 NEW ROUTINES - BIP/BIV/BVE 
  
 CL0188   NOS - ADD HID (HOST ID) SYMBOL
          CCL0188/RAY/JWS/JFJ 81/07/17 COMALL CCLPRS
  
 CLA187   NOS - INTRODUCE USE OF *OPLD* LIBRARY DIRECTORY 
          TO IMPROVE *CCL* SEARCH FOR PROC. 
          AN IP.PARAM (IP.RLD) HAS BEEN INTRODUCED TO 
          CONTROL USAGE OF THIS FEATURE.
          IT WILL ONLY BE AVAILABLE FOR NOS.
          CLA187 JWS/JFJ 81/07/21 CCL COMFET BEGIN
  
 CLA140   NOS - BEGIN SHOULD ALLOW DIRECT ACCESS PFILE
          CCLA140/NSD/JWS/JFJ 81/07/27 IOATT
  
 CLA165   ALLOW 150 CHARACTERS PER LINE IN THE PROC BODY AND
          IN THE DATA FILES.
          CCLA165 SSPR/JWS/JFJ 81/07/31 CCL MSGBRWE BEGIN 
  
 CLA186   ADD FNT II ERROR FLAGS
          CCLA186 ARH/JWS/JFJ 81/08/20 CCL COMALL 
  
 *LV554*  ********************************************************
  
 CL0187   NOS - VER RETURNS WRONG VERSION 
          CCL0187/RAY/JWS/JFJ 81/03/02 COMALL CCL CCLPRS
  
 CLA211   NOS - ADD #DATA AND #FILE CAPABILITY TO INTERACTIVE HEADERS 
          CCLA211/ARH/JWS/JFJ 81/10/03 BEGIN
  
 CLA206   NOS - ERR MSG331 IS USED IMPROPERLY.  USE MSG330
          WHERE APPROPRIATE AND ADD MSG327 FOR SYNTAX ERRORS AFTER
          NULL PATTERN VALUES ON HEADER.
          CLA206 ALSO CLEANS UP INTERACTIVE ERR MESSAGES. 
          CCLA206/ARHK/JWS/JFJ 81/09/24 CCLBRWE BEGIN 
  
 CLA205   NOS - USE CCL326 INSTEAD OF CCL322 FOR .PROC,PNAME*. ERROR
          CCLA205/ARHK/JWS/JFJ 81/09/02 BEGIN 
  
 CLA209   NOSBE - BATCH MODE CALL NEEDS CONTINUATION CARDS
          CCLA209/ARHA/JWS/JFJ 81/10/08 CCLGNP BEGIN
  
 CLA195   NOS - ELIMINATE TOO MANY PARAMETERS MESSAGE 
          CCLA195/ARHK/JWS/JFJ 81/09/04 BEGIN CCLBRWE 
  
 CLA197   NOS - CCL ABORTS WITH CCL303 WHEN AN
                INCOMPLETE LITERAL IS ENTERED ON THE CALL 
                OR AN INTERACTIVE RESPONSE. 
                 CLA197 ADDS AN ERROR PROCESSING FACILITY TO THE CCL
                 AND STRING PROCESSING ROUTINES.  ERROR ADDRESSES ARE STORED
                 IN IACERR.  FOR INTERACTIVE CALLS THE MESSAGES ARE NOT 
                 SENT TO THE DAYFILE, BUT ARE PASSED BACK TO BIV WHERE
                 THE MESSAGE BECOMES PART OF THE DIALOGUE.
          CCLA197/ARHK/JWS/JFJ 81/10/19 BEGIN CSTRCCL COMALL CCLBRWE
                 CCLWID 
  
 CLA193   NOS - INTERACTIVE CALL ABORTS WITH CCL103 
          CCLA193/ARHK/JWS/JFJ 81/10/01 BEGIN CCLBRWE 
  
 CLA201   NOS - REVERT,EX NOT WORKING 
          CCLA201/ARHK/JWS/JFJ 81/10/01 EXITBR
  
 *LV557*  **********************************************************
  
 CLA216   NOS - ADD IDET AND MXET FLAGS FOR FNT II
          CCLA216/ARH/JWS/JFJ 81/11/16 CCL COMALL 
  
 CLA212   SC2 - INVALID FIT ERROR ON ZZZZZC3
          CCLA212/ARH/JWS/JFJ 81/10/27 BEGIN EXITBR 
  
 *LV559*  ************************************************************* 
  
 CLA224   NOS - ABORT CALL WHEN PROCFILE EXECUTE ONLY 
          CCLA224/ARHK/JWS/JFJ 81/12/15 MSGBRWE BEGIN 
  
 CLA215   COLON AFTER CCL320 PREFIX 
          CCLA215/ARH/JWS/JFJ 81/12/07 BEGIN
  
 CL0192   NOS - NAME CALLS ECHO IN DAYFILE
          CCL0192/MECC/JWS/JFJ 81/12/02 COMINIT 
  
 CL0121   EOF COMMAND WRITES XTRA EOF 
          CCL0121/NASA/JWS/JFJ 81/12/01 BEGIN 
  
 CLA176   NOS - ATTACH DIRECT PROCFILE READ MODE
          CCLA176/SSPR/JWS/JFJ 81/06/15 CCL COMBRWE IOATT 
  
 CLA202   NOS - CCL IGNORES $ PREFIX ON NAME CALL 
          CCLA202/ARHK/JWS/JFJ 81/09/24 BEGIN COMALL CCLASV IOLIB 
  
 CL0209   CCL ACCEPTS FILE NAMES .GT. 7 CHARACTERS
          CCL0209/DOJN/JWS/JFJ 81/09/16 BEGIN 
  
 CLA227   NULL SPECIFICATION WITH SET ATTRIBUTE 
          CCLA227/CCPE/JWS/JFJ 81/12/15 CCLNPV BEGIN
  
 CLA228   NOS - REMOVE GAET ERROR FLAG
          CCLA228/ARH/JWS/JFJ 82/01/04 COMALL CCL 
  
 CLA185   DATA,LFN .EQ. PNAME RETURNED ON NAME CALL TO LIBRARY
          CCLA185/NSDS/JWS/JFJ 81/04/01 COMALL BEGIN EXITBR 
  
 *LV560*  ********************************************************
  
 CLA239   NOS - SPECIAL NAME (FILE) FAILS GLS 
          CCLA239/CCPT/JWS/JFJ 82/02/22 COMBRWE BEGIN RSN 
  
 CLA235   NOS - $REVERT NOLIST NOT WORKING
          CCLA235/AFS/JWS/JFJ 82/02/09 COMINIT
  
 CLA229   ALL - ADD COMMENTS TO CCL BINARIES
          CCLA229/AFS/JWS/JFJ 82/01/13 CCLBRWE CCLIFES CCLDS
  
 CL0220   ALL - PROMPT FOR SET FAILS - CSET=63
          CCL0220/PLTN/JWS/JFJ 82/01/13 MSGSTR BEGIN
  
 CLA230   ALL - CHANGE HELP PROMPT - NO PARAMETERS ON PROC
          CCLA230/ARHK/JWS/JFJ MSGSTR CCLWHT BEGIN
  
 CLA234   NOS - NO DAYFILE MSG FOR GLS PROC 
          CCLA234/NSD/JWS/JFJ 82/01/27 BEGIN
  
 *LV577*  ********************************************************* 
  
 CLA240   ALL - ADD MENU SUPPORT FOR SCREEN MANAGEMENT
          CCLA240/ARH/JWS/JFJ 82/05/14 CCLBRWE CCLIFES CCLDS
  
 CLA241   SC2 - INVALID FIT ZZZZZC3 - NO PARAMETERS ON PROC 
          CCLA241/ARH/CRM/JFJ 82/14/15 CCLRPV 
  
 CLA246   NOS - HELP FAILS - PROC NO PARAMETERS 
          CCLA246/ARHK/JWS/JFJ 82/03/12 CCLIDC BEGIN
  
 CLA262   NOS - REVERT,NOLIST PRECEDED BY BLANKS FAILS
          CCLA262/ARHK/JWS/JFJ 82/06/25 COMINIT 
  
 CL0226   NOSBE/SC2 - *F 1 DIGIT FILE NAME FAILS
          CCL0226/SPSC/JWS/JFJ 82/05/18 BEGIN 
  
 *LV578*  ********************************************************* 
  
 CLA253   NOS - DIAGNOSTIC CCL212 FAILS ON NAME CALL
          CCLA253/NSD/JWS/JFJ 82/08/15  BEGIN 
  
 CLA263   NOS - ADD NEW EXPRESSIONS TO FILE FUNCTIONS 
          CCLA263/NSD/JWS/JFJ 82/08/15 CCLSNV CCL CCLEVX
  
 CLA270   NOS - USER BREAK 2 FAILS DURING BEGIN 
          CCLA270/CCPT/JWS/JFJ 82/08/15 COMALL CCLRPV BEGIN 
  
 CLA275   NOS - USER BREAK 2 SETS EF TO CPE 
          CCLA275/CCPT/JWS/JFJ 82/08/15 CCL COMALL CCLRPV 
  
 CLA276   NOS/NOSBE - SINGLE STATEMENT IF NEEDS RIGHT PAREN 
          CCLA276/NSD/JWS/JFJ 82/08/15 IF (CCLIFES) 
  
 CLA277   NOS - LINES SKIPPED IN .DATA EXPANSION
          CCLA277/AFS/JWS/JFJ 82/08/15 BEGIN
  
 CLA279   NOS - COMMENT PARAMETER CRACKED AFTER PROMPTING 
          CCLA279/NSD/JWS/JFJ 82/08/15 MSGSTR BEGIN 
  
 CLA281   ALL - DONT PROMPT FOR *N ONLY (HELP MODE) 
          CCLA281/ARH/JWS/JFJ 82/09/02 CCLNPV BEGIN 
  
 CLA283   ALL - CCL238 OCCURS FOR 50 PARAMETERS 
          CCLA283/CCPT/JWS/JFJ 82/09/02 BEGIN 
  
 CLA284   ALL - COMMENTS NOT ENTERED DURING PROMPTING 
          CCLA284/AFS/JWS/JFJ 82/09/02 BEGIN
  
 CLA290     ALL - ADD BRACKETED DESCRIPTIONS FOR PROMPTING
                PUT TITLE STRING AFTER *M 
          CCLA290/ARH/JWS/JFJ 82/09/02 CCL MSGSTR CSTRCCL BEGIN 
  
 CL0233   NBE - BLANK CAUSES NULL SUBSTITUTION
          CCL0233/SPSC/JWS 82/09/02 CCLASV
  
 CL0237   ALL - $ IN HELP TEXT GETS CCL303
          CCL0237/SPSC/JWS/JFJ 82/08/15 BEGIN 
  
 CL0239   ALL - RE-ENTRY OF KEYWORD (EQ MODE) NOT ACCEPTED
          CCL0239/BMS/JWS/JFJ 82/09/02 BEGIN
  
 *LV579*  **************************************************************
  
 CLA252   ALL - #FILE FAILS NAME CALL TO LIBRARY PROCS
          CCLA252/CCPT/JWS/JFJ 82/10/15 IOLIB 
  
 CLA286   NOS - CORRECT #.DATA AND SPACES BEFORE .IF
          CCLA286/ARH/JWS/JFJ 82/10/15 BEGIN
  
 CLA296   SC2 - GARBAGE IN HELP TEXT
          CCLA296/ARH/JWS/JFJ 82/10/15 BEGIN
  
 CLA297   ALL - CORRECT COMMENT KEYWRD PROCESSING 
          CLA297/NSD/JWS/LRW 82/10/15 BEGIN MSGSTR CCLRPV 
  
 CLA298   NOS - CORRECT ASCII CONVERSION
          CCLA298/ARHK/JWS/LRW 82/10/15 CSTRCCL 
  
 CLA299   ALL - UNTERMINATED LITERAL $ IN PROC BODY 
          CCLA299/NSD/JWS/JFJ 82/10/21 BEGIN
  
 CL0234   NOSBE - BLANK AFTER VERB IGNORED
          CCL0234/SPSC/JWS/LRW 82/10/15 CCLASV COMINIT
  
 *LV580*  **************************************************************
 CLA301   ALL - RESPONSE ON MENU HELP GETS CCL263 
          CCLA301/NSD/JWS/JFJ 82/10/30 BEGIN
  
 CLA302   ALL - INDENTED .ENDIF FAILS TO STOP SKIPPING
          CCLA302/NSD/JWS/NC 82/11/15 BEGIN 
  
 CL0238   ALL - CONTINUATION LINES FAIL 
          CCL0238/USN/JWS/JFJ 82/10/30 CCLEXP 
  
 CL0250   NOS - QF FILE FUNCTION FAILS
          CCL0250/UWO/JWS/JFJ 82/10/31 CCLEVX 
  
 *LV581*   ****************************************************** 
 CLA303   NOS - #FILE FAILS ON GLS USER LIB 
          CCLA303/CCPT/JWS/NC 82/11/19 IOLIB
  
 CLA305   ALL - ADD DIALOG MSGS FOR BAD RESPONSE
          CCLA305/NSD/JWS/NC 82/12/01 MSGSTR BEGIN
  
 CLA306   ALL - ALLOW NULL SELECTION ON CALL
          CCLA306/NSD/JWS/NC 82/12/01 BEGIN 
  
 *LV582*  **************************************************************
 CLA308   ALL - INCORRECT PROMPT FOR ERR ENTRY
          CCLA308/NSD/JWS/NC 82/11/18 BEGIN 
  
 *LV590*  *************************************************************** 
 CCLA315  ALL - SUBSTITUTION FOR *N ONLY FAILS
          CCLA315/NSD/JWS/NC 83/01/14 BEGIN 
  
 CCLA330  NOS - THIS MODSET ADDS A SERVICE CLASS SYMBOL *SC* TO CCLPL.
          THIS NEW SYMBOL WILL ALLOW CONDITIONAL BRANCHING BASED ON 
          THE SERVICE CLASS OF THE JOB. 
  
          THIS MODSET ALSO ADDS AN OPERATING SYSTEM SECURITY MODE SYMBOL
          *SSM* TO CCLPL.  THIS NEW SYMBOL WILL ALLOW CONDITIONAL 
          BRANCHING BASED ON WHETHER THE SYSTEM IS IN SECURE MODE.
          CCLA330/NSD/WTC/JWS 83/05/17 COMALL,CCLPRS
  
 F4604    NOS - SCREEN MANAGEMENT PHASE 2 FEATURE 
          F4604/NSD/JWS/NC 83/01/15 CCLBRWE MSGSTR BEGIN CCL
                                      COMBRWE COMALL CSTRCCL
                                      CCLIDC EXITBR SDD 
          ADD DECK SDO - SCREEN DIALOGUE OVERLAY
          ADD DECK COMBLNK - PUTS BLANK COMMON IN ONE COMDECK 
          ADD DECK COMBGIN - SPLITS COMBRWE INTO COMBGIN COMBRWE
  
 CCL0274  NOS - ATTACH SHOULD NOT ACCESS FAST ATTACH FILES
          CCL0274/WYOL/JWS/NRC 83/05/17 IOATT 
  
 *LV591*  *************************************************************** 
 CCLA312  ALL - .IF FAILS BLANK AFTER SEPARATOR 
          CCLA312/ARHK/JWS/NKC 83/06/15  BEGIN
  
 CCLA331  ALL - ADD NEW ORIGIN SYMBOLS RBO AND IAO
          CCLA331/NSD/JWS/NRC 83/06/15  CCL COMALL
  
 CCLA332  NOS - ADD RCET ERROR FLAG 
          CCLA332/NSD/JWS/NRC 08/06/15 CCL COMALL 
  
 CCLA337  NOS - NAME CALLS TO SCREEN MODE PROCS FAIL
          CCLA337/NSD/JWS/NRC 83/06/15 SDO
  
 CCLA338  NOS - BEGIN FAILS WITH CCL263 
          CCLA338/ARHK/JWS/NRC 83/06/15 BEGIN COMINIT 
  
 CCLA339  NOS - IMPLEMENT SYSTEM PAGE SIZE. 
  
          INTRODUCE NEW SYMBOLS TO CONTROL JOB DEFAULT PAGE 
  
          THESE SYMBOLS CAN BE CHANGED BY THE SET COMMAND.
          CCL WILL USE THE SETPAGE MACRO TO SET THE JOB 
          DEFAULT PAGE PARAMETERS.
  
          PD     JOB PRINT DENSITY
          PS     JOB PAGE SIZE
          PW     JOB PRINT WIDTH
  
          THE FOLLOWING SYMBOLS CAN ONLY BE DISPLAYED.
          SPD    SYSTEM DEFAULT PRINT DENSITY 
          SPS    SYSTEM DEFAULT PAGE SIZE 
          SPW    SYSTEM PRINT WIDTH 
  
          DEPENDENCIES - GETPAGE AND SETPAGE MACROS.
  
          CCLA339/NSD/JWS/NRC 83/06/13 SET CCL COMALL MSGEXP
                                       CCLPRS CCLDS 
  
 *LV592*  *************************************************************** 
 CCLA347  NOS - PROC NOT EXITING ON USER BREAKS 
          CCLA347/ARHK/JWS/NRC 83/08/15  CCLBRWE SDO
  
 CCLA346  NOS - LITERAL SUBSTITUTION FAILS
          CCLA346/ARHK/JWS/NRC 83/07/27  SDO
  
 CCLA342  ALL - SUBSTITUTION FAILS WITH ASCII CHARACTERS
          CCLA342/ARHK/JWS/NRC 83/08/15  CCLEXP 
  
 CCLA348  NOS - CURSOR POSITIONING FAILS
          CCLA348/NSD/JWS/NRC 83/08/10 SDO
  
 *LV593*  *************************************************************** 
 CCLA355  NOS - SMF CURSOR POSITION FAILS - ONE PARAMETER 
          CCLA355/NSD/JWS/NRC 83/09/08 SDO
  
 *LV594*  *************************************************************** 
 CCL0275  NBE/SC2 - REINSTATE EN RM MD SYMBOLS FOR FILE FUNCTION
          CCL0275/SPSC/JWS/NRC 83/09/01 CCL CCLEVX
  
 CCL0265  NBE/SC2 - ALLOW FILE NAMES .GT. 7 CHARACTERS
          CCL0265/MSU/JWS/NRC 83/09/01 BEGIN
  
 CCL0186  NOSBE - USE LIB DIRECTORY TO READ PROCS 
          CCL0186/RI/JWS/NC 82/11/15 CCL BEGIN
  
 CCLA341  NOS - .ENTER FAILS WITH NULL STRING 
          CCLA341/ARHK/JWS/NRC 83/08/15 BEGIN SDO 
  
 CCL0270  NBE/NOS - *N ONLY CHECKLIST SUPPRESSES HELP 
          CCL0270/ASG/JWS/NRC 83/09/06 BEGIN
  
 *LV604*  *************************************************************** 
 CCL0271  NOS - VER HAS INCONSISTENT VALUES 
          CCL0271/FMCN/JWS/NRC 83/08/15  CCLPRS 
  
 CCL0227  NBE - ADD HID SYMBOL
          CCL0227/AFTC/JWS/NRC 83/09/23 COMALL CCLPRS 
  
 CCL0279  NOS - PROCS NOT FOUND ON OPLD PROCESSED INCORRECTLY 
          CCL0279/MICC/JWS/NRC 83/09/30 BEGIN 
  
 CCL0254  NOS - SS SUBSYSTEM FUNCTION FAILS 
          CCL0254/GCHQ/JWS/NRC  83/10/15 CCLXSS SET 
  
 CCL0255  ALL - /-+ NOT ACCEPTED AS CALL PARAMETERS 
          CCL0255/UVA/JWS/NRC 83/11/15 BEGIN
  
 CCL0262  ALL - NO MATCHING .ENDIF FOR .IF/.ELSE
          CCL0262/ASC/JWS/NRC 83/11/15 BEGIN
  
 CCL0291  ALL - NO ERR MSG FOR BAD .IF EXPRESSION 
          CCL0291/EASL/JWS/NRC 83/11/15 COMALL CCLEVX CCLGNP
                                        CSTRCCL BEGIN SDO 
  
 CCL0281  NOS - INTERACTIVE PROCS SHOULD PRESERVE ASCII MODE
          CCL0281/WYO/JWS/NRC 83/11/15 BEGIN
  
 CCLA349  ALL - BLANK LINES ADDED TO PROC BY .IF
          CCLA349/GPDC/JWS/NRC 83/11/15 BEGIN 
  
 CCLA360  NOS - SUBSTITUTION ON ASCII STRINGS 
          CCLA360/ARH,JWS,NRC 83/11/15 CCLEXP 
  
 CCLA326  ALL - BAD LABEL ON .IF CAUSES CCL352
          AFS/JWS/NRC 83/11/15 CCLLAB EXIT
  
 *LV606*  *************************************************************** 
 CCLA364    SC2 - ADD PAGE SIZE SYMBOLS 
          CCLA364/ARH/JWS/NRC 84/12/20 CCL COMALL MSGBRWE CCLPRS
                                     CCLSPP SET 
  
 CCLA365   SC2 - REMOVE CCL OVERLAYS WITH UPDATE CONDITIONALS 
          CCLA365/ARH/JWS/NRC 84/12/20 CCLBRWE SDO
  
 CCLA307  NOS - USER BREAK DURING ENDW FAILS TO LOCATE
                AN EXIT STATEMENT.  CCLA307 CLEANS UP 
                PROBLEMS WITH USER BREAKS DURING CCL
                PROCESSING. 
          CCLA307/ARHK/JWS/NC 82/12/01 COMALL IOATT BEGIN CCLRPV ENDW 
                                       SDO
                 ADD COMRPV COMDECK CONTAINING THE REPRIEVE PARAMETER 
                 BLOCK AND RESERVED WORDS.  THESE WILL RESIDE AT THE
                 END OF THE COMBRWE COMMON BLOCK. 
  
 CCL0289  ALL - NESTED .EOR NOT RECOGNIZED
          CCL0289/MAC/JWS/NRC 83/12/15 BEGIN
  
 CCL0297  NOS - MAKE CCL SEARCH UN=LIBRARY FOR THE PROCEDURE FILE 
          IF IT WAS NOT LOCAL OR FOUND ON THE CALLERS USER INDEX. 
          CCL0297/HQOTS/DEW/JWS 84/01/15  IOATT 
  
 CCL0303  ALL - COMMENT PARAMETER FAILS ON HELP CALL
          CCL0303/PLTN/JWS/NRC 84/01/15 BEGIN 
  
 CCLA358  NOS - ADD PROCEDURE FILE BUSY DIAGNOSTIC
          CCLA358/ARH/JWS/NRC 84/01/15 MSGBRWE IOATT
  
 F4605    ALL - ADD V2.3 FEATURES 
          NSD/JWS/RCS 84/03/01 CCL COMALL CCLEVX CCLEXP BEGIN MSGBRWE 
                               SDO
  
 CCLA368  NBE - ADD LDSET CARD FOR ALL ENTRY POINTS 
          CCLA368/ARHB/JWS/RCS 84/01/16 CCLBRWE CCLIFES CCLDS 
  
 CCLA369  NBE - READ AFTER SKIP OR WRITE ON BEGIN 
          CCLA369/ARHB/JWS/RCS 84/01/20 BEGIN 
  
 CCLA370  NBE - CONTROL CARD - GARBAGE AS 1ST PROC LINE 
          CCLA370/ARHB/JWS/RCS 84/01/20 BEGIN 
  
 CCLA372  ALL - ALLOW NULL LABEL ON .IF 
          CCLA372/ARHK/JWS/RCS 84/01/28 CCLLAB
  
 CCL0309  ALL - QUIT (Q) MENU SHOULD SEARCH FOR EXIT
          CCL0309/CFCS/JWS/RCS 84/01/27 BEGIN 
  
 CCL0312  NOS - CCL DIALOGUES FAIL ON 63 CHARACTER SET
          CCL0312/DHI/JWS/RCS 84/02/28 CCL COMALL CCLPRS CCLWHT CCLWID
                                       CSTRCCL BEGIN SDO
  
 CCLA373  NOS - DELETE SD.TJE SYMBOL
          CCLA373/NSD/JWS/RCS 84/02/28 CCL COMALL 
  
 *LV615*  *************************************************************** 
 CCLA363  NBE - USE SYMBOLIC VALUES FOR ERROR FLAGS 
          CCLA363/ARHB/JWS/RCS 84/04/05 CCL COMALL
  
 CCL0295  ALL - SKIP HELP PARAMETER NAME FOR *N ONLY
          CCL0295/BCS/JWS/NRC 84/01/15 CCL BEGIN SDO CSTRCCL
  
 CCLA321  NOS/NBE - DATA FILE NOT FLUSHED AFTER .EX 
          CCLA321/ARHA/JWS/RCS 84/04/05 COMALL BEGIN EXITBR COMINIT 
  
 CCLA379  NOS - USE GETSSM MACRO FOR SSM VALUE
          CCLA321/NSD/JWS/RCS 84/04/05 CCLPRS 
  
 CCL0325  NOS - CHANGE VALUES OF DAYS OF THE WEEK 
          CCL0325/VTT/JWS/RCS 84/04/05 COMALL CCLPRS
  
 CCLA378  NBE/SC2 - USE TITLES ON NBE/SC2 PROCS 
          CCLA378/NSD/JWS/RCS 84/04/05 CCL BEGIN
  
 CCLA377  NOS - ADD FAMILY NAME SYMBOL TO CCL 
          CCLA377/NSD/JWS/RCS 84/04/05 COMALL CCLPRS
  
 CCL0332  NOS - USER BREAK LEAVES SYSTEM FILE ATTACHED
          CCL0332/EPFL/JWS/RCS 84/04/05 BEGIN 
  
 CCL0329  NOS - FULL SCREEN PROCEDURES NEED 142000 FL 
          CCL0329/DHI/JWS/RCS 84/04/05 CCLIDC 
  
 *LV617*  *************************************************************** 
 CCLA383  NOS - .NOTE DIRECTIVE FAILS AFTER SCREEN DIALOGUE 
          CCLA383/NSD/JWS/RCS 84/05/01 COMALL BEGIN SDO 
  
 CCLA382  ALL - ELIMINATE CCL304 MESSAGE
          CCLA382/NSD/JWS/RCS 84/05/01 MSGBRWE CSTRCCL
  
 CCLA384  NOS - INCORPORATE CHANGES TO SCREEN FORMATTING SUBROUTINES
          CCLA384/NSD/JWS/RCS 84/04/25 CCL MSGBRWE CCLIDC BEGIN EXITBR
                                       SDO
  
 CCLA381  NOS - ADD SLET SERVICE LIMIT ERROR FLAG 
          CCLA381/NSD/JWS/RCS 84/05/01 CCL COMALL 
  
 CCL0337  NOS - CORRECT CODE FOR CCL0312
          CCL0337/DHI/JWS/RCS 84/05/15 BEGIN SDO
  
 *LV618*  *************************************************************** 
 CCLA371  SC2 - CCL101 MISSING WHEN TERMINATOR MISSING
          CCLA371/ARH/JWS/RCS 84/04/05 CCLIFES
  
 CCLA386  NBO - EXECUTE PROCEDURE FROM TAPE 
          CCLA386/ARHB/JWS/RCS 84/06/15 CCL COMFET
  
 CCLA288  ALL - FILE(LFN,EQ) SHOULD RETURN 9 BIT ORDINAL
          CCLA288/NSD/JWS/RCS 84/06/30 CCL
  
 CCLA387  NOS - DEFINE SERVICE CLASS TABLE WITH SCLASS MACRO
          CCLA387/NSD/JWS/RCS 84/08/01 COMALL 
  
 CCL0384  NOS - SCREEN MODE GRAVE ACCENT FAILS
          HUJI/JWS/RCS 84/08/01 SDO 
  
 *LV619*  *************************************************************** 
 CCLA390  NOS - / IN FIRST FOUR CHARACTERS OF VALUE FAILS 
          CCLA390/ARHC/JWS/RCS 84/09/01 BEGIN 
  
 *LV620*  *************************************************************** 
 CCL0371  ALL - COMMENT PARAMETER FAILS DURING DIALOGUE 
          CCL0371/CBS/JWS/RCS 84/08/15 BEGIN
  
 CCL0449  ALL - NAME CALL PROCS FAIL TO FIND PROCNAM
          CCL0449/WEPC/JWS/RCS 84/09/01 BEGIN 
  
 CCLA375  NBE - SUPPORT ASCII HELP ON NBE 
          CCLA375/ARHA/JWS/RCS 84/09/01 CCL COMALL CCLIDC CSTRCCL BEGIN 
                                        SDO CCLWHT CCLPRS CCLBRWE 
  
 CCLA396  NBE - CCL DOES NOT SUPPORT DATE, YEAR, MON, DAY 
          DAYS, OR WEEKDAY SYMBOLS UNDER NOS/BE.
          SOLUTION - ADD CODE TO, BASED ON VALUE OF IP.YMD, 
          ARRANGE DATE SO THAT THE VALUE OF THESE SYMBOLS CAN 
          BE COMPUTED.
          CCLA396/ARHB/CDF/JWS 84/11/01 CCL COMALL CCLPRS 
  
 CCLA397  ALL - CCL DOES NOT PROVIDE COMPATIBILITY WITH RESPECT 
          TO ERROR FLAG SYMBOLS FOR NOS, NOS/BE AND SCOPE.
          SOLUTION - MODIFY CODE TO PROVIDE SAME SYMBOLS FOR ALL
          THREE OPERATING SYSTEMS EVEN THOUGH SOME WILL HAVE VALUES 
          OF 100B (UNDEFINED).
          CCLA397/ARHB/CDF/JWS 84/11/01 CCL COMALL SDO
  
 *LV621*  *************************************************************** 
 CCLA399  ALL - CHECKLIST ENHANCEMENTS
  
              - THE *A, *F, AND *S ATTRIBUTES WILL ALLOW A RANGE
                TO BE SPECIFIED ON THE HEADER.  THE RANGE HAS THE 
                FORM   MIN..MAX  SUCH AS *A1..6   OR *F2..5 
  
              - THE *S ATTRIBUTE ADDITIONALLY ALLOWS THE FOLLOWING
                ABBREVIATIONS   AD - ALPHABETIC/DECIMAL 
                                AB - ALPHABETIC/OCTAL 
                                A  - ALPHABETIC ONLY
                                D  - DECIMAL ONLY 
                                B  - OCTAL ONLY 
  
                SUCH AS   *S3..9/AB 
  
              - ALSO ADD THE FOLLOWING SYMBOLS/FUNCTIONS
  
                SL - SCREEN/LINE
                FILE(XX,GL) - GLOBAL LIBRARY
                FILE(XX,ZL) - ZERO LENGTH 
                FILE(XX,FS) - FILE LENGTH 
  
          NSD/JWS/RCS 84/12/04 CCL CCLNPV CCLWPV CSTRCCL BEGIN SDO
                               COMALL CCLEVX CCLPRS CCLIDC COMINIT
                               CCLIFES CCLDS
  
 *LV622*  *************************************************************** 
 CCLA400  NBE - COMMENT PARAMETER CAUSES CCL TO LOOP
          CCLA400/ARHA/JWS/RCS 12/07/84 CSTRCCL BEGIN 
  
 CCLA402  ALL - ADD SWET ERROR FLAG 
          NSD/JWS/RCS 84/12/26 CCL COMALL 
  
 CCL0468  NS2 - CCL PUTS VT100 INTO 132 COLUMN MODE 
          HUJI/JWS/RCS 84/12/26 SDO 
  
 *LV623*  *************************************************************** 
 CCLA385  NS2 - TIME VARIABLE DELETES LEADING ZEROS 
          CCLA385/AFS/JWS/MLS 84/11/2 COMALL CCLEVX CCLDS 
  
 *LV624*  *************************************************************** 
 CCL0472  NS2 - CCL LEAVES COPY OF SYSTEM FILE ATTACHED 
          CCL0472/RUB/JWS/MLS 85/01/16 CCLRPV IOLIB BEGIN 
  
 *LV625*  *************************************************************** 
 CCL0365  NBE - WRONG EXPANSION FOR 6/12 ASCII STRINGS
          CCL0365/SARA/JWS/MLS 85/01/22 CCLEXP
  
 CCLA407  NBE - QUOTE HEADER DESCRIPTION SHOULD DISPLAY 40 CHARACTERS 
          CCLA407/ARHB/JWS/MLS 02/06/85 BEGIN 
  
 CCLA408  NBE - ALLOW * AS A PARAMETER VALUE FOR NBE CALLS
          CCLA408/ARHB/JWS/MLS 02/06/85 MSGBRWE   BEGIN 
  
 CCL0480  NS2 - ADD PCE SYMBOL
          CCL0480/NWL/JWS/MLS 03/01/85 COMALL 
  
 CCL0473  NS2 - EQ FILE FUNCTION FAILS
          CCL0473/RUB/JWS/MLS 03/01/85 CCLEVX 
  
 CCL0356  NS2 - .CORRECT AND .ENTER ALLOW ONLY 40 6 BIT CHARACTERS
          CCL0356/NAL/JWS/MLS 03/01/85 BEGIN
  
 CCL0259  NS2 - LOCAL LFN CONFLICTS WITH $ SYSTEM PROC CALL 
          CCL0259/HQDS/JWS/NRC 85/03/15 CCL COMFET IOLIB EXITBR CCLRPV
  
 CCLA335  NS2 - DUPLICATE PROC NAMES GET CCL234 ERROR 
          CCLA335/FSA/JWS/RCS 84/12/18 CCL IOLIB
  
 *LV626*  *************************************************************** 
 CCLA417  NS2 - CCL PANELS WILL NOT WORK ON 3270 TERMINAL 
          CCLA417/NSD/JWS/MLS 85/05/23 SDO
  
 CCLA413  NOS - CODE TRANSMITTAL PROBLEM
          CCLA413/ARHB/JWS/MLS 85/05/23 COMALL CCLPRS CCLSPP CCLDS
                                        CCLSSV
  
 *LV627*  *************************************************************** 
 CCLA419  NOS - ADD RSET AND JSET ERROR FLAGS 
          CCLA419/NSD/JWS 85/07/01 CCL COMALL 
  
 CCL0314  NS2 - NONFATAL LOADER ERROR IN CCLBRWE/SDO
          CCL0314 NAL/JWS/MLS 85/07/02 SDO
  
 CCLA418  NS2 - ADD NWK SYMBOL TO CCL 
          CCLA418 NSD/JWS/MLS 85/07/02 CCL COMALL CCLPRS
  
 *LV628*  *************************************************************** 
 CCL0505  NS2 - CANNOT EXECUTE PROC FROM FILE CCLX
          CCL0505/NAL/JWS/MLS 85/09/30 CCLBRWE
  
 CCL0523  NBE - COLON DISPLAYED AS PERCENT ON 63 CHARACTER SET SYSTEMS
          CCL0523/ARIZ/JWS/MLS 85/09/30 CCLPRS
  
 CCLA414  NBE - CANNOT EXECUTE MOST PROCS FROM TAPE ON NOS/BE 
          CCLA414/ARHB/JWS/MLS 85/09/30 CCL COMFET IOFET
  
 CCL0518  NBE - ESE ERROR FLAG NOT DEFINED ON NOS/BE
          CCL0518/ARIZ/JWS/MLS 85/09/30 CCL COMALL
  
 CCL0484  NBE - MENU PARAMETER CHECKING MAY FAIL IN NESTED MENU 
          CCL0484/PLTN/JWS/MLS 85/09/30 BEGIN 
  
 *LV629*  *************************************************************** 
 CCLA426  NS2 - SLET ERROR FLAG DELETED 
          CCLA426/NSD/RED/MLS 86/01/23 CCL
  
 *LV630*  *************************************************************** 
 CCL0512  NS2 - .EXPAND(OFF) DOES NOT WORK PROPERLY 
          CCL0512/NAL/RED/MLS 85/11/07 BEGIN
  
 CCL0514  NS2 - CCL NO LONGER DISPLAYS THE CURRENT PARAMETER
          VALUE IN READABLE FORM
          CCL0514/NAL/RED/MLS 85/11/07 CCLBRWE
  
 CCL0509  NS2 - *CCLEVX* DOES NOT CORRECTLY CHECK PERIOD
          DELIMITED CONDITIONAL OPERATORS 
          CCL0509/NAL/RED/MLS 85/11/11 CCLEVX 
  
 CCL0475  NS2 - .NOTE DIRECTIVE CAUSES UNPREDICTABLE RESULTS
          IN A NON-INTERACTIVE PROCEDURE
          CCL0475/NAL/RED/MLS 85/11/13 BEGIN
  
 CCL0528  NS2 - OPERATOR RERUN DURING CCL BEGIN CAUSES FAILURE
          CCL0528/SUNL/RED/MLS 86/03/04 CCLRPV
  
 CCL0508  ALL - CCL LOOPS IF SEPARATOR FOLLOWING .PROC IS NOT COMMA 
          CCL0508/PLTN/RED/MLS 86/03/04 BEGIN 
  
 CCLA406  NS2 - MSG LINE NOT CLEARED WHEN USING *.NOCLR*
          CCLA406/NSD/RED/MLS 86/03/07 SDO
  
 CCL0510  NS2 - NEW CCL SYMBOL *SL* MISSING CORRESPONDING VALUE SYMBOLS 
          CCL0510/WYO/RED/MLS 86/03/10 COMALL 
  
 CCLA428  NS2 - SCREEN/LINE PROCS DO NOT WORK IN ALL CASES
                (REMOVES CODE FOR PSR CCL0498)
          CCLA428/ARHPGD/RED/MLS 85/03/13 SDO 
  
 *LV631*  *************************************************************** 
 CCLA423  NS2 - USER SHOULD BE ABLE TO DETERMINE CSET IN A PROCEDURE. 
                SYMBOLS ARE ADDED FOR CSET AND FOR CONNECTION STATUS, 
                AND SYMBOLIC VALUES ARE ADDED FOR CSET, CONNECTION
                STATUS AND NETWORK CONNECTION.
          CCLA423/ARHK/RED/MLS 86/03/10 CCL COMALL CCLPRS 
  
 CCL0482  NS2 - BUSY PROCEDURE FILE STILL REPORTED AS FILE NOT FOUND
          CCL0482/NWL/RED/MLS 86/03/12 IOATT
  
 CCL0487  NS2 - CCL CONSTANT *FAMILY* RETURNING UNUSABLE VALUE
          CCL0487/BOPA/RED/MLS 86/03/13 CCLPRS
  
 CCL0532  NS2/NBE - IP.SCL CANNOT BE INCREASED BEYOND 150 CHARACTERS
          CCL0532/FMCRE/RED/MLS 86/03/13 MSGBRWE IORDL
  
 CCL0534  ALL - CCL CHEWS UP CPU TIME IN BEGIN PROCESSING.
          CCL0534/FMCRE/RED/MLS 86/03/13 CSTRCCL
  
 CCLA432  ALL - CCL GETS CM OUT OF RANGE USING UNKNOWN VARIABLE NAME. 
          CCLA432/NSD/RED/RCS 86/05/19 CSTRCCL
  
 *LV632*  *************************************************************** 
 CCLA435  ALL - CCL CODE TRANSMITTAL ERROR CAUSES MAINTENANCE PROBLEM.
          PURGES MODSETS CCLA403, CCLA405, CCL0448, CCL0507, CCLA416. 
          THE PL MUST THEN BE REUPDATED WITH THESE MODSETS, USING THE 
          CORRECTED VERSIONS OF CCLA403 AND CCLA405 DATED 86/08/20. 
          CCLA435/NSD/RED/MLS 86/08/20
  
 CCLA403  ALL - CORRECTIONS TO CHECKLIST ENHANCEMENT FEATURE (CCLA399)
          CCLA403/NSD/JWS/RCS 86/08/20 MSGBRWE BEGIN
  
 CCLA405  ALL - *A SHOULD ALLOW NULL CALL VALUE FOR DEFAULT *A
          CCLA405/NSD/JWS/MLS 86/08/20 BEGIN
  
 CCL0448  NOS - FILE(LFN,FS) FAILS WHEN FILE SIZE .GT. 16 BITS
          CCL0448/WNES/JWS/MLS 03/01/85 COMALL CCLEVX 
  
 CCL0507  NS2 - CCL FILE FUNCTION PARAMETERS FS AND ZL FAIL 
          CCL0507/ESCH/RED/MLS 86/03/20 CCLEVX
  
 CCLA416  NBE - NEW FILE FUNCTIONS SHOULD BE AVAILABLE ON NOS/BE
          CCLA416/ARHB/RED/MLS 86/03/20 COMALL CCLEVX 
  
 CCL0537  NS2 - ASCII VS NORMAL CHARACTER SET PROBLEMS. 
          CCL0537/MASC/RED/MLS 86/04/02 BEGIN 
  
 CCL0506  NS2 - .NOTE DIRECTIVE DOES NOT PRINT MESSAGE ON THE SCREEN. 
          CCL0506/NAL/RED/MLS 86/04/02 BEGIN
  
 CCLA415  ALL - CCL ACCEPTS INCORRECT SYNTAX WITHOUT DIAGNOSTIC.
          CCL IS MODIFIED TO ACCEPT MULTIPLE SETS OF OPERANDS IN SET
          AND DISPLAY COMMANDS.  ERROR MESSAGE CCL105 IS ELIMINATED.
          CCLA415/ARHB/RED/CDF 86/04/09 MSGCSC CCLXSS DISPLAY SET 
  
 CCL0545  NS2 - CCL GARBAGE PROMPTS IN SCREEN MODE OF TERMINAL
                 WITH LESS THAN 80 COLUMNS OR 16 LINES. 
          CCL0545/CSUC/RED/CDF 86/04/14 BEGIN 
  
 CCL0522  ALL - HELPME DOES NOT ALLOW * IN UN PARAMETERS. 
          CCL IS MODIFIED TO ACCEPT * AS A NORMAL CHARACTER WHEN WITHIN 
          PARAMETERS OF *BEGIN* OR NAME CALLS, RESPONSES TO INTERACTIVE 
          PROMPTS, AND WITHIN .PROC HEADERS.  TREATMENT OF * WITHIN 
          .DIRECTIVES AND ALL OTHER COMMANDS IS NOT CHANGED.  CCL ERROR 
          MESSAGES $CCL337- EXPECTING , / \ AFTER * HEADER PATTERN$ AND 
          $CCL340 - EXPECTING JUST * AS A VALUE$ ARE ELIMINATED, WHILE
          $CCL240- * MAY NOT APPEAR IN FORMAL PARAMETER NAME$ IS ADDED. 
          CCL0522/UVA/RED/CDF 86/04/24 CCL MSGBRWE MSGSTR CSTRCCL BEGIN 
                                       SDO
  
 CCL0549  ALL - CCL DOES NOT ACCEPT THE (*AM..N) DIRECTIVE IF M=0.
          CCL0549/NVE/RED/CDF 86/05/09 CCLBRWE BEGIN
  
 CCLA429  ALL - TIME STILL MISSING LEADING ZEROES EXCEPT IN DISPLAY.
          FORCES *TIME* VALUE TO BE 4 DIGITS WHENEVER REPRESENTED AS
          CHARACTERS, NOT JUST IN *DISPLAY*.  ALSO PROVIDES FIXED SIZES 
          FOR CHARACTER REPRESENTATION OF THE SYMBOLIC VALUES *DATE*, 
          *YEAR*, *MONTH*, *DAY* AND *JAN* THROUGH *DEC*. 
          CCLA429/AFS/RED/CDF 86/04/29 COMALL CCLEVX CCLSNV BEGIN 
                                       DISPLAY
  
 CCL0540  NS2 - CCL INTERACTIVE PROMPTING LOOPS AFTER ASSIGN,MS,INPUT.
          CCL0540/USSC/RED/CDF 86/08/20 BEGIN 
  
 CCLA431  NS2 - BACK KEY DID NOT WORK WHEN FIRST SCREEN REQUIRED PARAMS 
                FILLED IN.
          CCLA431/ARHK/RED/CDF 86/05/21 SDO 
  
 CCL0491  NS2 - NO UNRECOGNIZED PARAMETER MESSAGE IN SCREEN MODE. 
          CCL0491/BRAD/RED/CDF 86/05/23 COMBLNK BEGIN SDO 
  
 CCL0562  ALL - MODSET CCL0549 INTRODUCED AN ERROR IN THE *A CHECKLIST. 
          CCL0562/NVE/RED/MLS 86/08/20 BEGIN
  
 CCLA436  ALL - CCL HELP ISSUES BLANK LINE INSTEAD OF ALLOWABLE VALUES. 
          CCLA436/CDCCJ/RED/MLS 86/09/18 BEGIN
  
 *LV633*  *************************************************************** 
 CCLA422  NS2 - CCL GENERATES GARBAGE IN DAYFILE WITH CCL300 DIAGNOSTIC 
          CCLA422/ACSD/RED/CDF 86/06/18 CSTRCCL 
  
 CCL0324  ALL - THE LENGTH OF CCL LITERALS SHOULD BE 40 CHARACTERS. 
                INCLUDES NEW FUNCTIONS, *LEN* TO RETURN THE LENGTH OF A 
                STRING, *STR* TO ALLOW LOGICAL AND RELATIONAL OPERATION 
                ON LONG STRINGS, SUBSTRINGS AND CONCATENATED STRINGS
                AND SUBSTRINGS, *STRB* TO RETURN AN OCTAL CHARACTER 
                REPRESENTATION OF A VALUE, *STRD* TO RETURN A DECIMAL 
                CHARACTER REPRESENTATION OF A VALUE.  INCLUDES NEW
                CHARACTER STRING OPERATORS *//* AND *.CAT.*, USED TO
                CONCATENATE STRINGS OR SUBSTRINGS IN EXPRESSIONS, AND A 
                NEW CCL DIRECTIVE *.SET*, USED TO DEFINE OR REDEFINE
                PARAMETERS USING THE NEW FUNCTIONS AND OPERATORS. 
          CCL0324/SOC/RED/MLS 86/08/24 COMALL MSGEXP MSGSTR CCLEVX
                                       CSTRCCL BEGIN WHILE IF DISPLAY 
                                       COMBRWE MSGBRWE CCLPRS EXIT
  
 CCL0526  NS2 - .ENTER DIRECTIVE NOT TRUNCATED CORRECTLY IN LINE MODE.
          CCL0526/UNEV/RED/MLS 86/06/18 
  
 CCL0313  ALL - CCL DISALLOWS PROCEDURES MATCHING CCLBRWE ENTRY POINTS
                ON CALL BY NAME.
          CCL0313/NAL/RED/TAB 86/06/26 CCLBRWE COMINIT CCLIFES CCLDS
  
 CCL0529  ALL - CCL DOES NOT USE IP.SCS IN *S AND *A CHECKLISTS.
                ALLOWS USE OF INTERACTIVE PROCEDURES WITH PARAMETERS
                LONGER THAN 40 CHARACTERS, FOR SITES WITH *IP.SCS* SET
                GREATER THAN NORMAL.  PROCEDURES WITH PARAMETERS THAT 
                MAY EXCEED 40 CHARACTERS ALWAYS EXECUTE IN LINE MODE. 
          CCL0529/FMCRE/RED/TAB 86/06/30 CCL COMALL CCLIDC BEGIN
  
 CCL0519  ALL - CHECKLIST MAX FOR A PARAMETER IS 250, SITE NEEDS 300. 
          CCL0519/BCS/RED/TAB 86/07/10 CCL CCLPVO CCLWPV BEGIN
  
 CCL0557  NS2 - .DATA IN PROCEDURE PROLOG DOES NOT WORK.
          CCL0557/WNES/RED/MLS 86/07/30 CCL COMALL BEGIN REVERT 
  
 CCL0370  NS2 - SPACE USED AS PAD CHARACTER BEFORE 0013B CONTROL BYTE.
          CCL0370/CBS/RED/MLS 86/07/31 CCLWID 
  
 CCL0559  ALL - IMPROPER SUBSTITUTIONS MADE, *S CHECKLIST NOT ENFORCED. 
          CCL0559/USBR/RED/MLS 86/08/08 BEGIN 
  
 CCL0554  ALL - CCL SHOULD ALLOW FOR PRODUCT-SET/EXECUTABLE FILE NAMES. 
          INTRODUCES A *P ATTRIBUTE TO DENOTE PROGRAM/PRODUCT SET FILE. 
          THE *P ATTRIBUTE IS IDENTICAL TO *F EXCEPT THAT WITH *P THE 
          FIRST CHARACTER OF THE PARAMETER MUST BE A LETTER.
          CCL0554/NAL/RED/MLS 86/08/06 CCLBRWE BEGIN
  
 CCLA434  ALL - .IF/.ELSE WITHOUT .ENDIF GIVES NO CLUE OF LINE IN ERROR 
          CCLA434/ARHB/RED/MLS 86/08/18 MSGSTR BEGIN
  
 CCL0567  NS2 - CCL PROCEDURE MAY RETURN TO WRONG PLACE.
          CCL0567/CSIR/RED/MLS 86/09/07 BEGIN REVERT EXITBR 
  
 CCL0564  NS2 - MULTI-PAGE SCREEN MODE PROCEDURE SHOWS NO PAGE NUMBER.
          CCL0564/CDCAIS/RED/MLS 86/09/23 SDO 
  
 *LV6701* *************************************************************** 
 CCL0483  NOS - SHOW PARAMETER DEFAULT VALUES IN SCREEN MODE. 
          DISPLAYS *N VALUE IN SCREEN MODE IF IT IS OTHERWISE VALID AND 
          WOULD NOT BE REPLACED BY A SUBSTITUTION VALUE IF ENTERED. 
          ADDS *D CHECKLIST PATTERN.  *D IS THE SAME AS *N EXCEPT THAT
          THE VALUE IS ALWAYS DISPLAYED IN SCREEN MODE, AND A SUPPLIED
          PARAMETER VALUE MATCHING IT IS ALWAYS CONSIDERED VALID. 
          *N AND *D CHECKLIST PATTERNS ARE MUTUALLY EXCLUSIVE.
          CCL0483/JLUG/(AS/RED)/MLS 87/01/12 CCL CCLWPV BEGIN SDO 
  
          *****  RESUBMITTED 87/01/25 TO CORRECT *N DISPLAY/VALIDATION
                 LOGIC, AND TO ADD THE *D CHECKLIST PATTERN.
  
 CCLA437  ALL - .PROC LINE DISPLAYED WHEN .HELP LINE IS IN ERROR. 
          CCLA437/CDCCJ/RED/MLS 86/09/29 EXITBR 
  
 CCL0535  ALL - SYNTAX INCONSISTENCY IN CCL.
          ALLOWS SPACES TO BE USED MORE FREELY IN .DIRECTIVES(CCL0535). 
          CORRECTS INABILITY TO USE ) OR . IN PROMPT STRINGS(CCL0569),
             USING = SYMBOL TO DENOTE $ DELIMITED FORMAT FOR .PROMPT, 
             .NOTE, .NOCLR, .F1-F6, .CORRECT, .ENTER AND .PAGE STRINGS. 
          ADDS RECOGNITION OF .EOS/.EOP FOR .EOR/.EOF(CCL0424). 
          FIXES HANDLING OF .NOTE STRING WITH LENGTH A MULTIPLE OF 10.
          CCL0535/RUB/RED/MLS 86/10/08 COMBLNK CSTRCCL BEGIN SDO
  
 CCLA433  NBE - CCL SHOULD USE RFL= AND SDM= ENTRY POINTS ON NOS/BE.
          CCLA433/AHRB/RED/MLS 86/10/27 COMENT COMINIT CCLBRWE REVERT 
                                        CCLIFES CCLDS 
  
 CCL0574  ALL - SCATTER BUFFER HEADER NOT UPDATED WHEN STRUPS CALLED. 
                WITH NO DATA (ZERO LENGTH STRING).
          CCL0574/WNES/RED/MLS 86/10/30 CSTRCCL 
  
 CCL0575  ALL - UNTERMINATED PROC GETS ERRONEOUS CCL101 INSIDE PROC.
          CCL0575/WNES/RED/MLS 86/11/07 COMALL BEGIN SDO
  
 CCLA438  NS2 - MENU PROC OSCILLATES BETWEEN LINE AND SCREEN PROMPTS. 
          CCLA438/ACSD/RED/MLS 86/11/20 CCLIDC
  
 CCL0579  ALL - STR, STRB AND STRD FUNCTIONS CONFUSED (CCL0324 ERROR).
          CCL0579/NAL/RED/MLS 86/12/04 CCLEVX 
  
 CCLA427  NS2 - CCL REPORTS CCL120 ERROR ON IF-SKIPPED NULL LINE. 
          CCLA427/HQOTS/RED/MLS 87/02/23 IOWTL
  
          ***** RESUBMITTED 87/02/23 TO CORRECT PROBLEM WITH LINES
                BEGINNING WITH 10 OR MORE SEMI-COLONS BEING MISTAKEN
                FOR NULL LINES. 
  
 *LV6781* *************************************************************** 
 CCL0585  ALL - CRYPTIC CCL ERROR MESSAGE - CCL333. 
          CCL0585/NAL/RED/MLS 87/02/11 MSGSTR BEGIN 
  
 CCL0590  ALL - *P TEST FOR FILENAME BEGINNING WITH A LETTER IS FLAWED. 
          CCL0590/CBS/GBK/MLS 87/03/18 BEGIN
  
 CCL0593  NS2 - CCLBRWE MODE-1'S IF FL OVER 22K DUE TO CCFL IN PPCOM. 
          CCL0593/INEL/RED/MLS 87/03/30 COMALL MSGBRWE CCLBRWE
  
 CCL0594  ALL - CHECKLIST *D TEST IS NOT CONSISTENT (CCL0483).
          CCL0594/CBS/RED/MLS 87/03/31 BEGIN
  
 CCL0589  ALL - CCL SOMETIMES REJECTS CORRECT SYNTAX DUE TO CCL0535.
          CCL0589/CBS/RED/MLS 87/05/27 COMALL COMBRWE CCLEXP CSTRCCL
  
          *****  RESUBMITTED 87/05/27 INCLUDING AN OMITTED INSTRUCTION. 
                 THE OMISSION COULD CAUSE PROBLEMS IF A NON-SEPARATOR 
                 CONCATENATION CHARACTER HAD BEEN SPECIFIED.
  
 CCL0592  NBE - CCLA433 CREATES UNWANTED DAYFILE MESSAGES UNDER NOS/BE. 
          CCL0590/CHRY/CJF/MLS 87/04/15 COMINIT REVERT
  
 CCLA445  ALL - CCL0567 CAUSES PROBLEM WITH NOS/BE AND SCOPE2.
          RESTORE NOS/BE AND SCOPE2 SO THAT *INPUT* IS NOT RETURNED.
          CCLA445/NSD/RED/MLS 87/05/27 REVERT 
  
 *LV6782* *************************************************************** 
 CCL0598  NBE - BLANK BEFORE *.PROC* MISTAKEN FOR SEQUENCE NUMBER.
          CCL0598/ADTC/RED/MLS 87/05/29 CCLSSN
  
 CCL0591  NOS - ENDW MAY HANG IN AUTO RECALL IF DROPPED BY USER.
          CCL0591/CBS/RED/MLS 87/05/29 CCLRPV 
  
 CCL0602  NOS - CCL263 ERROR ON PROC WITH 29 OR MORE FILE FUNCTIONS.
          CCL0602/FSU/RED/MLS 87/06/12 CCLEVX 
  
 *LV6881* *************************************************************** 
 CCL0558  NOS - SYMBOLIC NAME VER IN CCL RETURNS TOO FEW CHARACTERS.
          CCL0558/USSC/RED/MLS 87/06/17 COMALL CCLEVX CCLPRS
  
 CCLA440  NOS - USER BRK 2 IN BEGIN SETS *CPE* FLAG INSTEAD OF *TAE*. 
          CCLA440/SVLNHP/RED/MLS 87/08/19 CCLRPV BEGIN
  
 CCL0606  ALL - CCL *S M..N DEFAULT NOT 1..40 AS DOCUMENTED, BUT 1..1.
          CCL0606/MINN/RED/MLS 87/09/28 BEGIN 
  
 CCL0551  ALL - CODA TO PSR CCL0498 - DOLLAR DELIMITED STRINGS. 
          CCL0551/FMCRE/RED/MLS 87/10/04 CCLEXP CSTRCCL SDO 
  
 *LV6882* *************************************************************** 
 CCL0544  NOS - CCL DOES NOT SUPPORT TERMINALS THAT HAVE MORE ROWS THAN 
                THE VIKING. 
          CCL0544/VTT/RED/MLS 87/10/21 SDO
  
 CCLA447  NOS - SCREEN MODE CCL SHOULD EXECUTE USING A DIFFERENT KEY. 
          CCLA447/NSD/RED/MLS 87/10/29 BEGIN SDO
  
 CCL0597  NOS/NBE - NEED TO HAVE SECURE PARAMETERS IN *CCL* PROCEDURES. 
          INTRODUCES *R (RESTRICTED) CHECK LIST PATTERN.  VALUES FOR
          PARAMETERS WITH A *R ATTRIBUTE DO NOT APPEAR IN THE DAYFILE.
          REQUIRES CYBER LOADER CHANGE TO AVOID DISPLAYING THE COMMAND
          IF *CCL* IS CALLED AS A RESULT OF A PROCEDURE FILE NAME CALL. 
          ALSO CAUSES *CCL* MESSAGES RESULTING IN AN ABORT TO APPEAR IN 
          THE SYSTEM DAYFILE AS WELL AS THE JOB DAYFILE (CCL0605).
          CCL0597/FSU/RED/MLS 87/11/23 CCL COMALL MSGSTR CCLCCN CCLEVX
                                       CCLEXP CCLGNP CCLLAB CCLRPV
                                       CCLXSS CSTRCCL CCLBRWE COMINIT 
                                       BEGIN REVERT ENDW CSP EXITBR 
                                       EXIT 
  
 CCL0612  NOS - *BEGIN* SHOULD USE *PN=0* WHEN SEARCHING *UN=LIBRARY*.
          IN ADDITION TO USING *PN=0* TO SEARCH *UN=LIBRARY*, SYMBOLIC
          NAMES *USER* AND *PACK*, WHICH RETURN USERNAME AND PACKNAME 
          RESPECTIVELY, ARE ADDED TO *CCL*. 
          CCL0612/LRZ/RED/MLS 87/12/03 COMALL CCLPRS IOATT
  
 CCL0586  ALL - FILE CCL FUNCTION NOT CONSISTENT. 
          CCL0612/BRAD/RED/MLS 87/12/07 CCLEVX
  
 *LV6883* *************************************************************** 
 CCL0614  ALL - CCL(BEGIN) HANGS IF SAME CHARACTER USED FOR .IC, .CC. 
          CCL0614/SIS/RED/MLS 87/12/16 BEGIN
  
 CCLA448  ALL - VALUES FOR .SET KEYWORDS SOMETIMES SURROUNDED BY $. 
          CCLA448/NSD/RED/MLS 88/01/06 BEGIN
  
 CCLA449  ALL - ERROR MESSAGE CCL250 IS INCORRECTLY FORMATTED.
          CCLA449/NSD/RED/MHH 88/01/12 MSGBRWE
  
 *LV7001* *************************************************************** 
 CCLA450  ALL - .SET DIRECTIVE CAUSES CCL263 IF PROC HAS NO PARAMETERS. 
          CCLA450/NSD/RED/MLS 88/02/24 BEGIN
  
 CCL0471  NOS - FULL SCREEN CCL IGNORES THE HELP FWD KEY. 
          ***** RESUBMITTED 88/05/27 TO RESTORE A LINE (F4604.5660) 
                ERRONEOUSLY DELETED BY THE ORIGINAL MODSET.  IT CAUSED
                PROCEDURES WITH NO REPLACEABLE PARAMETERS TO TRUNCATE 
                THE SCREEN IMAGE IF CALLED WITH A HELP REQUEST. 
          CCL0471/HUJI/RED/TES 88/05/27 SDO 
  
 CCL0619  NOS - CCL COULD USE SOME MORE SYMBOLS TO SUPPORT NOS. 
          ADDS SYMBOLIC NAMES *UI*, *PFDT*, *JSN* AND *UJN*, WHICH
          RETURN USER INDEX, PF DEVICE TYPE, JOB SEQUENCE NAME AND
          USER JOB NAME RESPECTIVELY. 
          NOTE - THIS MODSET IS BASED ON CODE FROM SITE *MASC*. 
          CCL0619/MASC/(DGB/RED)/MHH 88/04/06 COMALL CCLPRS 
  
 CCLA451  NOS - REMOVE *CCL* PSEUDO-UNDERLINING, LEAVING IT TO SFLIB. 
          REQUIRES MODSET *SFORM18* (PSR NS24882) INSTALLED IN *SFLIB*. 
          *SFORM18* WAS INCLUDED IN *SFLIB* AT NOS 2.6.1 L700.
          CCLA451/NSD/RED/MHH 88/05/03 SDO
  
 CCLA452  NOS - JOBS HUNG AT CONTROL POINT (LOOP IN *CCL* REPRIEVE).
          CCLA452/NSD/RED/MHH 88/05/26 BEGIN CCLRPV 
  
 *LV7002* *************************************************************** 
 CCLA454  ALL - NO MSG. ISSUED FOR DUP. PARAM ENTRY ON *I PROCEDURE.
          CCLA454/ACSD/RED/TES 88/06/14 BEGIN 
  
 CCL0621  NBE - PROCEDURE CALLS-BY-NAME DAYFILED TWICE ON NOS/BE. 
          REMOVES SOME UNNECESSARY CONDITIONAL ASSEMBLY CODE. 
          NOTE - THIS MODSET IS BASED ON CODE FROM SITE *SPSC*. 
          CCL0621/SPSC/RED/TES 88/06/27 COMINIT 
  
 *LV7003* *************************************************************** 
 CCLA455  NOS - REQUESTING SCREEN MODE HELP BY ? PUTS AT SIGN IN FIELD. 
          CCLA455/NSD/RED/TES 88/08/11 SDO
 *LV7161* *************************************************************** 
 CCLA456  ALL - PROCEDURES EXECUTING .EX LEAVE WORK FILE LOCAL. 
          CCLA456/NSD/RED/MHH 89/07/13 EXITBR 
 CCL0393  ALL - MAKE MODIFICATIONS TO CCL FOR USABILITY PURPOSES. 
                IMPLEMENTS NEW COMMAND *ELSEIF*, DIRECTIVES *.ELSEIF*,
                *.WHILE* AND *.ENDW*, AND *.EXPAND* OPTIONS *EXPLICIT*
                AND *IMPLICIT*. 
          CCL0393/NSD/RED/TES 89/07/14 COMBLNK MSGSTR CCLEXP BEGIN
                                       WHILE CSP CCLIFES IF SKIPEE
          RESUBMITTAL - 89/09/29. 
          CORRECT MISHANDLING OF .IC AND .CC WITHIN PROCEDURE BODY. 
 *LV7391* *************************************************************** 
 CCL0646  NOS - TERMINALS W/SCREENS > 30 LINES FAIL IN SCREEN MODE CCL. 
          REQUIRES MODSET *NS2700* (PSR NS26605) INSTALLED IN *SFLIB*.
          CCL0646/GFTA/RED/MHH 90/02/13 CCL COMBLNK SDO 
 *LV7501* *************************************************************** 
 CCL0647  NOS - CCL NEEDS SYMBOL FOR NETWORK TERMINAL NAME. 
          CCL0647/ESCH/RED/DJR 90/10/01 CCL COMALL COMBLNK CCLPRS 
          NOTE - THIS MODSET IS BASED ON CODE FROM SITE *ESCH*. 
 *LV7971* *************************************************************** 
 CCLA457  NOS - CCL SHOULD HONOR .DIRECTIVE ON SINGLE STATEMENT .IF.
          CCLA457/AHSE/RED/PCS 92/08/27 BEGIN 
 CCLA458  NOS - UPDATE COPYRIGHTS TO *CONTROL DATA SYSTEMS INC. 1992*.
          CCLA458/AHSE/RED/PCS 92/08/27 COPYRT
 *LV7972* *************************************************************** 
 CCL0649  NOS - CCL ABORTS WITH NULL OBJECT ON SINGLE STATEMENT .IF.
          CCL0649/AHSE/RED/PCS 92/09/24 BEGIN 
 *LV8511* *************************************************************** 
 CCL0650  .NOTE IN NON-INTERACTIVE PROCEDURE SOMETIMES CAUSES ABORT.
          CCL0650/ESCH/RED/PCS 96/02/07 BEGIN 
  
 CCL0651  *DAYS* AND *WEEKDAY* VARIABLES FAIL AFTER YEAR 1999.
          CCL0651/BCS/RED/PCS 96/02/07 CCLPRS 
  
 *LV8591* *************************************************************** 
 CCLA459  DEFINE NEW *DATE4* AND *YEAR4* SYMBOLIC NAMES.
          CCLA459/NSD/PCS/RED 97/09/15 COMALL COMBLNK CCLPRS CCLSNV 
  
**        HISTORY 
 CL0236   ALL - SLASH ON PROC HEADER FAILS
          CCL0236/SPSC/JWS/JFJ 82/08/15 BEGIN 
  
* 
*     THIS PROGRAM LIBRARY  (PL70) WAS CREATED IN MAY, 1976.  THE 
*     CYBER CONTROL LANGUAGE (CCL) SOURCE CODE IS TO BE RELEASED
*     ON THIS PL.  THE COMC COMMON DECKS WERE COPIED FROM THE NOS 
*     OPERATING SYSTEM AT THE SAME TIME.
* 
*     THIS HISTORY DECK IS TO CONTAIN AN ENTRY FOR EACH 
*     MODIFICATION ADDED TO THIS PL.  EACH MOD IS TO INCLUDE
*     AN UPDATE TO THE HISTORY DECK WHICH SHOULD BE OF THE
*     FOLLOWING FORM AND INFORMATION. 
* 
*     *B  HISTORY.2 
*      IDENT  DESCRIPTION OF THE PROBLEM OR MODIFICATION
*             PROGRAMMER INITIAL         DATE      DECKS MODIFIED 
*             SRN=XXXXXX   (SUBMITTERS REFERENCE NUMBER)
* 
* 
* 
*     FOR AN EXAMPLE SEE THE ENTRY BELOW
* 
*                            D.A.FLETCHER    MAY,1976 
  
  
  
 CCLPL01  INITIALIZE HISTORY DECK 
          DAF    76/05/28    HISTORY
  
 CCLPL02  ADD ORIGINAL CODE FOR CCL MODULES 
          DAF/DML  76/06/15  CCL,CCLV,CCLSUB,STRCCL,IOCCL 
  
 CCLPL03  ADD PRE RELEASE MODS TO ORIGINAL CODE 
          DAF/DML  76/06/14  CCLV,CCLSUB,IOCCL
  
 CCL*76   ADD IDENTIFIER OF FORM CCL*YR 
          DAF    76/07/01    COPYRT 
  
 CCLPL04  ADD PRE RELEASE MODS TO ORIGINAL CODE 
          DAF/DML  76/06/29  CCLV,CCLSUB,STRCCL 
                             CCLCOM1,CCLCOM2
  
 CCLPL05  ADD LOADD AND NOS CHANGES 
          DML      76/07/10  CCLV,CCLCOM1,IOCCL,CCLSUB
  
 CCLPL06  ADD MODS TO ORIGINAL CODE 
          DAF/DML  76/08/13  CCLV,CCLSUB,STRCCL 
                             CCLCOM1,CCLCOM2,IOCCL
  
 CCLPL07  ADD MODS TO ORIGINAL CODE 
          ADD LOADD CODE FOR NOS
          DAF/DML  76/09/22  CCLV,CCL,IOCCL,CCLCOM2 
  
 CCLPL08  ADD EXTERNAL SPECIFICATION CHANGES
          REQUIRED BY ARCHITECTURAL DESIGN AND CONTROL
          DAF/DML  76/10/11  CCLV,CCL,IOCCL 
  
 CCLPL09  CCL CORRECTION AND CCLPL08 CODE REVIEW
          DAF/DML  76/10/19  CCLV,CCL,IOCCL 
  
 *L428*    *********************************************************************
 *L433*    *********************************************************************
 *L439*    *************************************************************
 *L446*    *************************************************************
 CL0006   ADD RECALL TO LOADD MACRO 
          ARHB538/DML   77/02/01   IOCCL
 CL0005   FIX AUTO RECALL ERROR ON ENDW WI PROCEDURE
          ARHB328/DML   77/02/01   CCLV 
 CL0007   SET VERSION NUMBER FOR HOST SYSTEM
          UNTIL A COMMON MACRO IS ESTABLISHED THAT WILL RETURN THE
          OPERATING SYSTEM VERSION AT RUN TIME, IP.VER MUST BE
          MODIFIED WITH EACH RELEASE OF THE OPERATING SYSTEM
          ARHB683/DML   77/03/07   CCL
 *L452*    *************************************************************
 *L460*   **********************************************************************
 CCL*77   UPDATE COPYRIGHT INFORMATION
          ARH CCL0008/DML   77/03/29   COPYRT 
  
 CL0009   MODIFY CCL MACROS FOR NOS INTERFACE 
          ALLOW SINGLE CHARACTER OPERATORS IN EXPRESSIONS 
          CCL0009/DML   IOCCL,COMCMAC 
  
 CL0002   LEFT PARENTHESIS VALID SEPARATOR PNAME WHEN CALL BY NAME
          ARH CCL0002/DML   77/03/29   CCLV 
  
 CL0004   FILE NAME LENGTH NOT SET UP WHEN DEFAULT FILE NAME IS USED
          ARH CCL0004/DML   77/03/29   CCLV 
  
 CL0010   FOR NOSBE, INHIBIT SOME MESSAGES FROM INTERCOM TERMINAL 
          SVL CCL0010/DML   77/03/29   CCLV,STRCCL,COMSTR,CCLSUB
  
 CL0011   EXECUTE A FIND MACRO TO LOCATE PROCEDURE IN LIBRARY.
          ARH CCL0011/DML   77/03/30   IOCCL
  
 CL0014   ELIMINATE XP DUMP ON CCL REVERT,ABORT 
          CCLA035/DML   77/05/02   CCLSUB 
  
 CL0013   NOS IMPLEMENTATION CORRECTIONS
          CL0013/DML   77/05/13   CCL,CCLV,IOCCL
  
 CL0019   ENDW INCORRECT POSITION AFTER PROC CALLS PROC 
          CCLA028/DML   77/06/27   CCLV 
  
 CL0001   EXECUTE REPRIEVE ON EXTERNAL ABORTS 
          CCL0001/DML   77/06/30   CCLSUB,  CCLV, CCLCOM1, CCLCOM2
  
 CL0016   CCL REMOVES BLANK LINES FROM PROC DATA INPUT RECORD 
          KAFB175/DML   77/07/01   CCLV 
  
 CL0022   CHECK FOR CIO ACTIVE BEFORE CHANGING FET NAME OR POINTERS.
          MACE I/O REQUIRES THE COMPLETE BIT TO BE SET IN THE FET IF THE
          FET IS NOT BUSY TO PREVENT HUNG IN AUTO RECALL ERRORS.
          CCLA038-CCLA026/GEL-DML   77/07/21   CCLV, IOCCL
  
 CL0023   POSITION INFORMATION RETURNED BY *IOSTS* IS IN ERROR -
          CORRECT *IOSTS* FOR BUFFER FULL STATUS CODE 
          WAIT FOR CIO TO COMPLETE TO CHECK STATUS
          CHECK FOR EOI THEN FOR EOR OR EOP.
          USE READC AND WRITEC MACROS AVAILABLE ON *CPUTEXT*
          REMOVE *COMCSYS*  - DECK IS IN SYSTEM LIBRARY.
          CORRECT CCL INFORMATIONAL ERRORS
          CCLA033/DML   77/07/18   IOCCL,CCLCOM1,CCLCOM2,CCL,STRCCL,CCLV
  
 CLA030   NOS - FILE FUNCTION HANGING IN RECALL - STATUS MACRO
          SET COMPLETE BIT BEFORE STATUS MACRO CALL 
          CCLA030/DML   77/08/10   CCLSUB 
  
 CLA047   NOS - BEGIN FROM PF IS HANGING IN RECALL
          SET COMPLETE BIT IN FET BEFORE WRITER CALL
          CCLA047/DML   77/08/10   IOCCL
  
 CLA041   ADD SYMBOLIC NAMES AND SUPPORT FOR -- 
          *FL* - CURRENT FIELD LENGTH 
          *SS* - SUBSYSTEM PROCESSING 
          *LI* - LIBRARY FILE TYPE, *PT* - PRIMARY FILE TYPE
          ADD RFL= ENTRY POINT TO CCL FOR NOS 
          CCLA041/DML   77/08/10   CCLCOM1, CCLSUB, CCL, CCLV, IOCCL
  
 CLA050   CHANGE FUNCTION CODE TO 74B FOR GETJCI AND SETJCI MACROS
          CCLA050/DML   77/08/17   IOCCL, COMCMAC 
  
 CLA052   DEFINE SYMBOL *PM* - EQUIVALENT TO *PF* 
          CCLA052/DML   77/09/02   CCLSUB 
  
 CLA061   SC2+NOSBE - ALLOW MULTI-READ ACCESS TO PROCEDURE FILE 
          CCLA061/DML 77/09/12 CCLCOM2
  
 CLA065   CCL ABORT SKIPS EXIT. AND EXIT(U) - CHANGE CALL TO USE *ND* 
          CCLA065/DML 77/09/12 CCLSUB 
  
 CLA056   MODIFY CCL DUE TO NOGO RESTRICTION
          NOTE - USE OF THIS MOD REQUIRES CPSR5 LOADER TO BUILD CCL 
          CCLA056/DML     77/09/08   CCLV 
  
 CLA064   NOSBE - PROCEDURE CALL BY NAME FROM LIBRARY NOT WORKING 
          MOVE LOADD POINTER WORD TO ZERO BLOCK 
          MAY ALSO FIX CCLA048 AND CCLA060
          CCLA064/DML 77/09/16 CCLCOM2
  
 *L470*   **************************************************************
  
 CLA051   NOS - CCL CANNOT EXECUTE PROCEDURE FROM TAPE
          CCLA051/DML 77/09/13 CCLCOM2
  
 CLA054   NOS - BEGIN FROM PERMANENT FILE HANGS IN RECALL 
          CCLA054 ALSO FIXES PROBLEM DESCRIBED BY CCLA068 
          CCLA054/DML 77/10/17 CCLCOM2
  
 CLA072   NOS - CCL IS NOT PROCESSING $ BEFORE VERB CORRECTLY 
          CCLA072/DML 77/10/18 CCLSUB,STRCCL
  
 CLA073   MODIFY COMMON PRODUCT VERSION NUMBER *VERCCL* 
          *VERCCL* IS THE CURRENT LEVEL OF CCL AS BUILT 
          CCLA073/DML 77/11/09 CCLCOM1, CCL 
  
 CLA053   NOS - CCL DOES NOT SUPPORT *RA* AND *RM* PF PERMISSIONS 
          SET *RM* WHEN READ/MODIFY, *RA* WHEN READ/APPEND
          ADD ADDITIONAL SYMBOLS FOR ERROR CODES USED IN KCL
          ADD SYMBOLIC DEFINITIONS FOR FIELD LENGTH VALUES
          CCLA053/DML 77/10/26 CCL, CCLCOM1, CCLSUB, IOCCL
  
 CLA078   NOS - ALLOW NUMERIC FILE NAME IN CCL FILE FUNCTION
          CCLA078/DML 77/11/10 CCLSUB 
  
 CLA087   NOS - SET DEFAULT IP.KCLO = 0 - ABORT JOB ON SINGLE CHAR OPR
          CCLA087/DML 77/12/02 CCL
  
 CCL*78   UPDATE COPYRIGHT FOR 1978 
          CCLA088/DML 77/12/12 CCLV 
  
 CLA062   DECREASE LOAD SIZE OF CCL BY MOVING SYMBOLS TO BLANK COMMON 
          NOS - ADD *ECE* - ECS PARITY ERROR CODE 
          DEPENDENT ON CCL0001, CCL0009, CCL0013, CCLA041, CCLA053
          CCLA062/DML 78/01/13 COMSTR,CCLCOM1,CCLCOM2,CCLV,CCLSUB,IOCCL 
  
 CLA089   NOS - USE SETID TO PREVENT RETURN OF WORK FILES BY OTHER SSJ= 
          CCLA089/DML 78/01/19 CCLV 
  
 CLA093   NOS - RETURN STATEMENT COUNT ON ACCSF TO BE USED BY ENCSF 
          WHEN BEGIN/REVERT SEQUENCE AT JOB LEVEL 
          CCLA093/DML 78/01/23 CCL,CCLV 
  
 CLA101   NOS - I/O SEQUENCE ERROR ON WRITE TO WORK FILE ZZZZZC1
          CCLA101/DML 78/01/23 CCLV 
  
 CLA099   BEGIN CALL TO PROC W/O PARAM GIVES INCONSISTENT RESULTS 
          CCLA099/NOS/DML 78/02/03 CCLV 
  
 CLA057   NOS - CALL BY NAME DOES NOT FUNCTION
          CCLA057/DML 78/02/03 IOCCL CCLCOM2
  
 CLA091   NOS - CCL NESTING LEVEL BAD WHEN TERMINAL ABORT IN PROCEDURE
          CCLA091/DML 78/02/07 CCLV 
  
 CLA094   NOS - I/O SEQUENCE ERROR ON REVERT ABORT EXIT 
          CCLA094/NOS/DML 78/02/08 IOCCL
  
 CLA086   CANNOT PASS A NEGATIVE SYMBOLIC VALUE VIA SYM+
          CCLA086/NOS/DML 78/02/14 CCLV 
  
 *L472*   **************************************************************
  
 CLA111   SC2 - CONTINUED BEGIN WITH LITERAL GIVES CCL100 ERROR 
          CCLA111/DML 78/03/13 CCLSUB 
  
 CLA104   NOS - READ OF TELEX FILE AS PROCEDURE INPUT FAILS 
          PRESERVE UPPER PORTION OF FET+1 - ELIMINATE EXTRA IOFET CALLS 
          NOS/BE - FIX READ OR SKIPF AFTER WRITE ERROR
          DEPENDENT ON CL0022 - L460 MODSET 
          CCLA104/DML 78/03/23 CCLCOM2, CCLV, IOCCL 
  
 *L477*   **************************************************************
  
 CL0043   NOSBE - ALLOW NUMERIC PROCEDURE ON CALL-BY-NAME 
          CCL0043/DML 78/05/17 CCLV 
  
 CLA114   CERTAIN NEGATIVE SYMBOL VALUES FAIL (-5..-9, ETC.)
          CCLA114/NOWAK/DML 78/05/22 CCLV 
  
 CLA084   CCL SHOULD NOT ELIMINATE COLON WHEN END OF LINE 
          CCLA084/SVL/DML 78/06/14 STRCCL 
  
 *L480*   **************************************************************
  
 CLA118   NOS - CALL OF SYEDITED PROCEDURE FAILS
          CCLA118/DML 78/08/10 CCLCOM2,IOCCL
  
 CL0057   ABORT JOB IF LFN ON .DATA IS .GT. 7 CHARACTERS
          CCL0057/DEMR221 DML 78/08/17 CCLV CCLCOM2 
  
 *L485*   **************************************************************
  
 CL0038   REDUCE THE EXECUTION SIZE OF CCL
          CCL0038/DML 78/10/04 ALL ROUTINES 
  
  
  
